<?php
$options = _WSH()->option();
$title = walsall_set($options, '404_title');
$title = ( $title ) ? $title : '404';
$subtitle = walsall_set($options, '404_subtitle');
$subtitle = ( $subtitle ) ? $subtitle : 'Looks like somthing went wrong';
$description = walsall_set($options, 'description');
$description = ( $description ) ? $description : 'The page you are looking for was moved, removed, renamed or might never existed.';
$show_button = walsall_set($options, 'show_404_button');
$show_404_search = walsall_set($options, 'show_404_search');
$button_title = walsall_set($options, '404_button_title');
$button_title = ( $button_title ) ? $button_title : 'Go Home';
    get_header(); 
?>

<!-- 
=============================================
    Error Page
============================================== 
-->
<div class="error-section">
	<div class="container">
		<div class="row">
			<div class="error-big-text"><?php echo wp_kses_post( $title ); ?></div>
			<h2><span><?php echo wp_kses_post( $subtitle ); ?></span></h2>
			<div class="text"><?php echo wp_kses_post( $description ); ?></div>
			<div class="error-options">
				<?php  if ( ! ( $show_button ) ) :  ?>
					<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="theme-btn btn-style-four"><?php echo wp_kses_post( $button_title ); ?></a>
				<?php endif; ?>
				<?php  if ( ! ( $show_404_search ) ) :  ?>
					<span class="or"><?php esc_html_e( 'Or', 'walsall' );  ?></span>
					<!-- Error Search Form -->
					<div class="error-search-box">
						<?php get_template_part('searchform2');?>
					</div>
				<?php endif; ?>
			</div>
		</div>
	</div>
</div> <!-- /.error-page -->



	
<?php get_footer(); ?>