<?php
add_action('after_setup_theme', 'walsall_bunch_theme_setup');
function walsall_bunch_theme_setup()
{
	global $wp_version;
	if(!defined('WALSALL_VERSION')) define('WALSALL_VERSION', '1.0');
	if( !defined( 'WALSALL_ROOT' ) ) define('WALSALL_ROOT', get_template_directory().'/');
	if( !defined( 'WALSALL_URL' ) ) define('WALSALL_URL', get_template_directory_uri().'/');	
	include_once get_template_directory() . '/includes/loader.php';
	
	
	load_theme_textdomain('walsall', get_template_directory() . '/languages');
	
	//ADD THUMBNAIL SUPPORT
	add_theme_support('post-thumbnails');
	add_theme_support('automatic-feed-links'); //Enables post and comment RSS feed links to head.
	add_theme_support('widgets'); //Add widgets and sidebar support
	add_theme_support( "title-tag" );
	/*
	 * Switch default core markup for search form, comment form, and comments
	 * to output valid HTML5.
	 */
	add_theme_support( 'html5', array(
		'search-form', 'comment-form', 'comment-list', 'gallery', 'caption'
	) );
	/** Register wp_nav_menus */
	if(function_exists('register_nav_menu'))
	{
		register_nav_menus(
			array(
				/** Register Main Menu location header */
				'main_menu' => esc_html__('Main Menu', 'walsall'),
			)
		);
	}
	if ( ! isset( $content_width ) ) $content_width = 960;
	add_image_size( 'walsall_879x362', 879, 362, true ); // 'walsallx879x362 Our Portfolio'
	add_image_size( 'walsall_408x779', 408, 779, true ); // 'walsallx408x779 Our Portfolio'
	add_image_size( 'walsall_878x782', 878, 782, true ); // 'walsallx878x782 Our Portfolio'
	add_image_size( 'walsall_410x362', 410, 362, true ); // 'walsallx410x362 Our Portfolio'
	add_image_size( 'walsall_474x799', 474, 799, true ); // 'walsallx474x799 Our Portfolio2'
	add_image_size( 'walsall_390x420', 390, 420, true ); // 'walsallx390x420 Our team'
	add_image_size( 'walsall_368x370', 368, 370, true ); // 'walsallx368x370 Blog Grid'
	add_image_size( 'walsall_1170x400', 1170, 400, true ); // 'walsall_1170x400 Blog'
	add_image_size( 'walsall_795x478', 795, 478, true ); // 'walsall_795x478 Blog Detail'
	add_image_size( 'walsall_567x234', 567, 234, true ); // 'walsallx567x234 Portfolio Detail page style 5'
	add_image_size( 'walsall_264x503', 264, 503, true ); // 'walsallx264x503 Portfolio Detail page style 5'
	add_image_size( 'walsall_566x503', 566, 503, true ); // 'walsallx566x503 Portfolio Detail page style 5'
	add_image_size( 'walsall_265x234', 265, 234, true ); // 'walsallx265x234 Portfolio Detail page style 5'
}
function walsall_bunch_widget_init()
{
	global $wp_registered_sidebars;
	$theme_options = _WSH()->option();
	if( class_exists( 'Bunch_About_us' ) )register_widget( 'Bunch_About_us' );
	if( class_exists( 'Bunch_gallery' ) )register_widget( 'Bunch_gallery' );
	if( class_exists( 'Bunch_Recent_Post' ) )register_widget( 'Bunch_Recent_Post' );
	
	
	
	register_sidebar(array(
	  'name' => esc_html__( 'Default Sidebar', 'walsall' ),
	  'id' => 'default-sidebar',
	  'description' => esc_html__( 'Widgets in this area will be shown on the right-hand side.', 'walsall' ),
	  'before_widget'=>'<div id="%1$s" class="widget sidebar-widget side-bar %2$s">',
	  'after_widget'=>'</div>',
	  'before_title' => '<div class="sidebar-title"><h2>',
	  'after_title' => '</h2></div>'
	));
	register_sidebar(array(
	  'name' => esc_html__( 'Footer Sidebar', 'walsall' ),
	  'id' => 'footer-sidebar',
	  'description' => esc_html__( 'Widgets in this area will be shown in Footer Area.', 'walsall' ),
	  'before_widget'=>'<div id="%1$s"  class="col-md-4 col-sm-6 col-xs-12 column footer-widget %2$s">',
	  'after_widget'=>'</div>',
	  'before_title' => '<h2>',
	  'after_title' => '</h2>'
	));
	
	register_sidebar(array(
	  'name' => esc_html__( 'Blog Listing', 'walsall' ),
	  'id' => 'blog-sidebar',
	  'description' => esc_html__( 'Widgets in this area will be shown on the right-hand side.', 'walsall' ),
	  'before_widget'=>'<div id="%1$s" class="widget sidebar-widget %2$s">',
	  'after_widget'=>'</div>',
	  'before_title' => '<div class="sidebar-title"><h2>',
	  'after_title' => '</h2></div>'
	));
	if( !is_object( _WSH() )  )  return;
	$sidebars = walsall_set(walsall_set( $theme_options, 'dynamic_sidebar' ) , 'dynamic_sidebar' ); 
	foreach( array_filter((array)$sidebars) as $sidebar)
	{
		if(walsall_set($sidebar , 'topcopy')) continue ;
		
		$name = walsall_set( $sidebar, 'sidebar_name' );
		
		if( ! $name ) continue;
		$slug = walsall_bunch_slug( $name ) ;
		
		register_sidebar( array(
			'name' => $name,
			'id' =>  sanitize_title( $slug ) ,
			'before_widget' => '<div id="%1$s" class="side-bar widget sidebar_widget %2$s">',
			'after_widget' => "</div>",
			'before_title' => '<div class="sec-title"><h3 class="skew-lines">',
			'after_title' => '</h3></div>',
		) );		
	}
	
	update_option('wp_registered_sidebars' , $wp_registered_sidebars) ;
}
add_action( 'widgets_init', 'walsall_bunch_widget_init' );
// Update items in cart via AJAX
function walsall_load_head_scripts() {
	$options = _WSH()->option();
    if ( !is_admin() ) {
		$protocol = is_ssl() ? 'https://' : 'http://';
		$map_path = '?key='.walsall_set($options, 'map_api_key');
		wp_enqueue_script( 'walsall-map-api', ''.$protocol.'maps.google.com/maps/api/js'.$map_path, array(), false, false );
	}
}
add_action( 'wp_enqueue_scripts', 'walsall_load_head_scripts' );
//global variables
function walsall_bunch_global_variable() {
    global $wp_query;
}

function walsall_enqueue_scripts() {
    //styles
	wp_enqueue_style( 'bootstrap', get_template_directory_uri() . '/css/bootstrap.css' );
	wp_enqueue_style( 'font-awesome', get_template_directory_uri() . '/css/font-awesome.css' );
	wp_enqueue_style( 'flaticon', get_template_directory_uri() . '/css/flaticon.css' );
	wp_enqueue_style( 'animate', get_template_directory_uri() . '/css/animate.css' );
	wp_enqueue_style( 'owl-theme', get_template_directory_uri() . '/css/owl.css' );
	wp_enqueue_style( 'jquery-fancybox', get_template_directory_uri() . '/css/jquery.fancybox.min.css' );
	wp_enqueue_style( 'jquery-mcustomscrollbar', get_template_directory_uri() . '/css/jquery.mCustomScrollbar.min.css' );
	wp_enqueue_style( 'walsall-main-style', get_stylesheet_uri() );
	wp_enqueue_style( 'walsall-custom-style', get_template_directory_uri() . '/css/custom.css' );
	wp_enqueue_style( 'walsall-responsive', get_template_directory_uri() . '/css/responsive.css' );
	
	
	
	
    //scripts
	wp_enqueue_script( 'jquery-ui-core' );
	wp_enqueue_script( 'bootstrap', get_template_directory_uri().'/js/bootstrap.min.js', array(), false, true );
	wp_enqueue_script( 'jquery-mcustomscrollbar', get_template_directory_uri().'/js/jquery.mCustomScrollbar.concat.min.js', array( 'jquery' ), '2.1.2', true);
	wp_enqueue_script( 'owl', get_template_directory_uri().'/js/owl.js', array(), false, true );
	wp_enqueue_script( 'wow', get_template_directory_uri().'/js/wow.js', array(), false, true );
	wp_enqueue_script( 'appear', get_template_directory_uri().'/js/appear.js', array(), false, true );
	wp_enqueue_script( 'jquery-fancybox-pack', get_template_directory_uri().'/js/jquery.fancybox.js', array( 'jquery' ), '2.1.2', true );
	wp_enqueue_script( 'isotope', get_template_directory_uri().'/js/isotope.js', array(), false, true );
	wp_enqueue_script( 'map-script', get_template_directory_uri().'/js/map-script.js', array(), false, true );
	wp_enqueue_script( 'walsall-main-script', get_template_directory_uri().'/js/script.js', array(), false, true );
	if( is_singular() ) wp_enqueue_script('comment-reply');
	
}
add_action( 'wp_enqueue_scripts', 'walsall_enqueue_scripts' );

/*-------------------------------------------------------------*/
function walsall_theme_slug_fonts_url() {
    $fonts_url = '';
 
    /* Translators: If there are characters in your language that are not
    * supported by Lora, translate this to 'off'. Do not translate
    * into your own language.
    */
    $poppins = _x( 'on', 'Dancing Script: on or off', 'walsall' );
 
    if ( 'off' !== $poppins ) {
        $font_families = array();
 
        if ( 'off' !== $poppins ) {
            $font_families[] = 'Poppins:100,100i,200,200i,300,300i,400,400i,500,500i,600,600i,700,700i,800,800i,900,900i';
        }
 
        $opt = get_option('walsall'.'_theme_options');
		if ( walsall_set( $opt, 'body_custom_font' ) ) {
			if ( $custom_font = walsall_set( $opt, 'body_font_family' ) )
				$font_families[] = $custom_font . ':300,300i,400,400i,600,700';
		}
		if ( walsall_set( $opt, 'use_custom_font' ) ) {
			$font_families[] = walsall_set( $opt, 'h1_font_family' ) . ':300,300i,400,400i,600,700';
			$font_families[] = walsall_set( $opt, 'h2_font_family' ) . ':300,300i,400,400i,600,700';
			$font_families[] = walsall_set( $opt, 'h3_font_family' ) . ':300,300i,400,400i,600,700';
			$font_families[] = walsall_set( $opt, 'h4_font_family' ) . ':300,300i,400,400i,600,700';
			$font_families[] = walsall_set( $opt, 'h5_font_family' ) . ':300,300i,400,400i,600,700';
			$font_families[] = walsall_set( $opt, 'h6_font_family' ) . ':300,300i,400,400i,600,700';
		}
		$font_families = array_unique( $font_families);
        
		$query_args = array(
            'family' => urlencode( implode( '|', $font_families ) ),
            'subset' => urlencode( 'latin,latin-ext' ),
        );
 
        $fonts_url = add_query_arg( $query_args, 'https://fonts.googleapis.com/css' );
    }
 
    return esc_url_raw( $fonts_url );
}
function walsall_theme_slug_scripts_styles() {
    wp_enqueue_style( 'walsall-theme-slug-fonts', walsall_theme_slug_fonts_url(), array(), null );
}
add_action( 'wp_enqueue_scripts', 'walsall_theme_slug_scripts_styles' );
/*---------------------------------------------------------------------*/
function walsall_add_editor_styles() {
    add_editor_style( 'custom-editor-style.css' );
}
add_action( 'admin_init', 'walsall_add_editor_styles' );