<?php $options = _WSH()->option();
	walsall_bunch_global_variable();
	$icon_href = (walsall_set( $options, 'site_favicon' )) ? walsall_set( $options, 'site_favicon' ) : get_template_directory_uri().'/images/favicon.png';
	$logo_2 = walsall_set( $options, 'section_logo_image' );
 ?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ):?>
	<link rel="shortcut icon" href="<?php echo esc_url($icon_href);?>" type="image/x-icon">
	<link rel="icon" href="<?php echo esc_url($icon_href);?>" type="image/x-icon">
<?php endif;?>
<!-- Responsive -->
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<div class="page-wrapper">
 	
    <?php if(walsall_set($options, 'preloader')):?>
		<!-- Preloader -->
		<div class="preloader"></div>
	<?php endif;?>
	
	<div class="header-span"></div>
	
	    <!-- Main Header-->
    <header class="main-header">
        
        <!-- Main Box -->
    	<div class="main-box">
            <div class="outer-container clearfix">
                <!--Logo Box-->
                <div class="logo-box">
                    <div class="logo">
                    	<?php if ( walsall_set($options, 'logo_image' ) ) :  ?>
							<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo esc_url( walsall_set( $options, 'logo_image' ) ); ?>" alt="<?php esc_attr_e( 'Walsall', 'walsall' );?>" title="<?php esc_attr_e( 'Walsall', 'walsall' );?>"></a>
						<?php else : ?>
							<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo esc_url( get_template_directory_uri().'/images/logo.png' );?>" alt="<?php esc_attr_e( 'Walsall', 'walsall' );?>"></a>
						<?php endif; ?>
                    </div>
                </div>
                
                <!--Nav Outer-->
                <div class="nav-outer clearfix">
                    <!-- Main Menu -->
                    <nav class="main-menu">
                        <div class="navbar-header">
                            <!-- Toggle Button -->    	
                            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                            </button>
                        </div>
                        
                        <div class="navbar-collapse collapse clearfix">
                            <ul class="navigation clearfix">
                                <?php wp_nav_menu( array( 'theme_location' => 'main_menu', 'container_id' => 'navbar-collapse-1',
									'container_class'=>'navbar-collapse collapse navbar-right',
									'menu_class'=>'nav navbar-nav',
									'fallback_cb'=>false, 
									'items_wrap' => '%3$s', 
									'container'=>false,
									'walker'=> new Bunch_Bootstrap_walker()  
									) ); ?>
                             </ul>
                        </div>
                    </nav>
                    <!-- Main Menu End-->
                    
                    <?php if ( walsall_set( $options, 'info-sidebar' ) ) : ?>
                    <!--Btn Outer-->
                    <div class="btn-outer">
                        <!-- Hidden Nav Toggler -->
                        <div class="nav-toggler">
                            <button class="hidden-bar-opener"><span class="icon flaticon-menu-options"></span></button>
                        </div>
                        <!-- / Hidden Nav Toggler -->
                    </div>
                    <?php endif;?>
                    
                </div>
                <!--Nav Outer End-->
                
            </div>
        </div>
    
    </header>
    <!--End Main Header -->
    
    <?php if ( walsall_set( $options, 'info-sidebar' ) ) : ?>
    <!-- Hidden Navigation Bar -->
    <section class="hidden-bar right-align">
        
        <div class="hidden-bar-closer">
            <button><span class="flaticon-cancel-1"></span></button>
        </div>
        
        <!-- Hidden Bar Wrapper -->
        <div class="hidden-bar-wrapper">
            
            <div class="logo">
            	<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo esc_url( $logo_2 ); ?>" alt="<?php esc_attr_e('image', 'walsall');?>" /></a>
            </div>
            <div class="content-box">
            	<h2><?php echo wp_kses_post( walsall_set( $options, 'about_title' ) ); ?></h2>
                <div class="text"><?php echo wp_kses_post( walsall_set( $options, 'about_desc' ) ); ?></div>
                <a href="<?php echo esc_url( walsall_set( $options, 'about_btn_link' ) ); ?>" class="theme-btn btn-style-two"><?php echo wp_kses_post( walsall_set( $options, 'about_btn_title' ) ); ?></a>
            </div>
            <div class="contact-info">
            	<h2><?php echo wp_kses_post( walsall_set( $options, 'contatc_info_title' ) ); ?></h2>
                <ul class="list-style-two">
                	<?php if ( walsall_set( $options, 'info_address' ) ) : ?>
                		<li><span class="icon fa fa-map-marker"></span><?php echo wp_kses_post( walsall_set( $options, 'info_address' ) ); ?></li>
                    <?php endif; ?>
                    <?php if ( walsall_set( $options, 'info_phone' ) ) : ?>
                    	<li><span class="icon fa fa-phone"></span><?php echo wp_kses_post( walsall_set( $options, 'info_phone' ) ); ?></li>
                    <?php endif; ?>
                    <?php if ( walsall_set( $options, 'info_email' ) ) : ?>
                    	<li><span class="icon fa fa-envelope-o"></span><?php echo sanitize_email( walsall_set( $options, 'info_email' ) ); ?></li>
                    <?php endif; ?>
                    <?php if ( walsall_set( $options, 'info_weekdays' ) ) :  ?>
                    	<li><span class="icon fa fa-clock-o"></span><?php esc_html_e( 'Week Days:', 'walsall' ); ?> <?php echo wp_kses_post( walsall_set( $options, 'info_weekdays' ) ); ?></li>
                    <?php endif; ?>
                </ul>
            </div>
        </div><!-- / Hidden Bar Wrapper -->
        
    </section>
    <!-- End / Hidden Bar -->
    <?php endif;?>