<?php
get_header();
$meta = _WSH()->get_meta();
$detail_style = walsall_set( $meta, 'portfolio_detail' );
$client = walsall_set( $meta, 'client' );
if ( $detail_style == 'style_two' ) :
?>

<section class="portfolio-single-section right-sidebar">
	<div class="auto-container">
		<div class="row clearfix">
			<?php while( have_posts() ): the_post();
				$term_list = wp_get_post_terms( get_the_id(), 'portfolio_category', array( "fields" => "names" ) );
			?>
				<div class="content-column col-md-5 col-sm-5 col-xs-12">
					<h2><?php the_title(); ?></h2>
					<div class="text"><?php the_content(); ?></div>
					<ul class="info-list">
						<?php if ( $client ) : ?>
							<li><span><?php esc_html_e( 'Client', 'walsall' ); ?></span><?php echo wp_kses_post( $client ); ?></li>
						<?php endif; ?>
						<li><span><?php esc_html_e( 'Date', 'walsall' ); ?></span><?php echo get_the_date(  ); ?></li>
						<li><span><?php esc_html_e( 'Category', 'walsall' ); ?></span><?php echo implode( ', ', (array)$term_list );?></li>
					</ul>
					<?php if ( $socials = walsall_set( $meta, 'bunch_portfolio_social' ) ) : ?>
						<ul class="social-icon-one">
							<?php foreach( $socials as $key => $social ) :  ?>
								<li><a target="_blank" href="<?php echo esc_url( walsall_set( $social, 'social_link' ) );  ?>"><span class="fa <?php echo wp_kses_post(walsall_set( $social, 'social_icon' ));  ?>"></span></a></li>
							<?php endforeach; ?>
						</ul>
					<?php endif; ?>
				</div>
				<!--Images Column-->
				<?php if ( $gallery = walsall_set( $meta, 'bunch_portfolio_gallery' ) ) : ?>
					<div class="images-column col-md-7 col-sm-7 col-xs-12">
						<div class="inner-column">
							<?php foreach( $gallery as $key => $gall ) :  ?>
								<div class="image">
									<a href="<?php echo esc_url( walsall_set( $gall, 'gallary_img' ) );  ?>" data-fancybox="images" data-caption="" ><img src="<?php echo esc_url( walsall_set( $gall, 'gallary_img' ) );  ?>" alt="<?php esc_attr_e('image', 'walsall');?>" /></a>
								</div>
							<?php endforeach; ?>
						</div>
					</div>
				<?php endif; ?>
				<!--Content Column-->
			<?php endwhile; ?>
		</div>
	</div>
</section>


<?php  elseif( $detail_style == 'style_three' ) :  ?>

 <section class="portfolio-center-section">
	<div class="auto-container">
		<?php while( have_posts() ): the_post();
			$term_list = wp_get_post_terms( get_the_id(), 'portfolio_category', array( "fields" => "names" ) );
		?>
			<?php if ( $gallery = walsall_set( $meta, 'bunch_portfolio_gallery' ) ) : ?>
				<?php foreach( $gallery as $key => $gall ) :  ?>
					<div class="image">
						<img src="<?php echo esc_url( walsall_set( $gall, 'gallary_img' ) );  ?>" alt="<?php esc_attr_e('image', 'walsall');?>" />
					</div>
				<?php endforeach; ?>
			<?php endif; ?>
			<div class="row clearfix">
				<!--Content Column-->
				<div class="content-column col-md-8 col-sm-12 col-xs-12">
					<h2><?php the_title(); ?> </h2>
					<div class="text">
						<?php the_content(); ?>
					</div>
				</div>
				<!--Info Column-->
				<div class="info-column col-md-4 col-sm-12 col-xs-12">
					<div class="inner-column">
						<ul class="info-list">
							<?php if ( $client ) : ?>
								<li><span><?php esc_html_e( 'Client', 'walsall' ); ?></span><?php echo wp_kses_post( $client ); ?></li>
							<?php endif; ?>
							<li><span><?php esc_html_e( 'Date', 'walsall' ); ?></span><?php echo get_the_date(  ); ?></li>
							<li><span><?php esc_html_e( 'Category', 'walsall' ); ?></span><?php echo implode( ', ', (array)$term_list );?></li>
						</ul>
						<?php if ( $socials = walsall_set( $meta, 'bunch_portfolio_social' ) ) : ?>
							<ul class="social-icon-one">
								<?php foreach( $socials as $key => $social ) :  ?>
									<li><a target="_blank" href="<?php echo esc_url( walsall_set( $social, 'social_link' ) );  ?>"><span class="fa <?php echo wp_kses_post(walsall_set( $social, 'social_icon' ));  ?>"></span></a></li>
								<?php endforeach; ?>
							</ul>
						<?php endif; ?>
					</div>
				</div>

			</div>
		<?php endwhile; ?>
	</div>
</section>


<?php elseif( $detail_style == 'style_four' ) :  ?>

<section class="portfolio-single-section left-sidebar">
	<div class="auto-container">
		<div class="row clearfix">
			
			<?php while( have_posts() ): the_post();
					$term_list = wp_get_post_terms( get_the_id(), 'portfolio_category', array( "fields" => "names" ) );
			?>
				<!--Content Column-->
				<div class="content-column col-md-5 col-sm-5 col-xs-12">
					<h2><?php the_title(); ?></h2>
					<div class="text"><?php the_content(); ?></div>
					<ul class="info-list">
						<?php if ( $client ) : ?>
							<li><span><?php esc_html_e( 'Client', 'walsall' ); ?></span><?php echo wp_kses_post( $client ); ?></li>
						<?php endif; ?>
						<li><span><?php esc_html_e( 'Date', 'walsall' ); ?></span><?php echo get_the_date(  ); ?></li>
						<li><span><?php esc_html_e( 'Category', 'walsall' ); ?></span><?php echo implode( ', ', (array)$term_list );?></li>
					</ul>
					<?php if ( $socials = walsall_set( $meta, 'bunch_portfolio_social' ) ) : ?>
						<ul class="social-icon-one">
							<?php foreach( $socials as $key => $social ) :  ?>
								<li><a target="_blank" href="<?php echo esc_url( walsall_set( $social, 'social_link' ) );  ?>"><span class="fa <?php echo wp_kses_post(walsall_set( $social, 'social_icon' ));  ?>"></span></a></li>
							<?php endforeach; ?>
						</ul>
					<?php endif; ?>
				</div>
				<!--Images Column-->
				<div class="images-column style-two col-md-7 col-sm-7 col-xs-12">
					<?php if ( $gallery = walsall_set( $meta, 'bunch_portfolio_gallery' ) ) : ?>
						<!--Images Column-->
						
							<?php foreach( $gallery as $key => $gall ) :  ?>
								<div class="image col-md-6 col-sm-6 col-xs-12">
									<a href="<?php echo esc_url( walsall_set( $gall, 'gallary_img' ) );  ?>" data-fancybox="images" data-caption="" ><img src="<?php echo esc_url( walsall_set( $gall, 'gallary_img' ) );  ?>" alt="<?php esc_attr_e('image', 'walsall');?>" /></a>
								</div>
							<?php endforeach; ?>
							
						<!--Content Column-->
					<?php endif; ?>
				</div>
			<?php endwhile; ?>
		</div>
	</div>
</section>


<?php elseif( $detail_style == 'style_five' ) : ?>

<section class="portfolio-center-section style-two">
	<div class="auto-container">
		<div class="row clearfix">
		
			<?php while( have_posts() ): the_post();
					$term_list = wp_get_post_terms( get_the_id(), 'portfolio_category', array( "fields" => "names" ) );
			?>
				<!--Content Column-->
				<div class="content-column col-md-8 col-sm-12 col-xs-12">
					<h2><?php the_title(); ?></h2>
					<div class="text">
						<?php the_content(); ?>
					</div>
				</div>
				<!--Info Column-->
				<div class="info-column col-md-4 col-sm-12 col-xs-12">
					<div class="inner-column">
						<ul class="info-list">
							<?php if ( $client ) : ?>
								<li><span><?php esc_html_e( 'Client', 'walsall' ); ?></span><?php echo wp_kses_post( $client ); ?></li>
							<?php endif; ?>
							<li><span><?php esc_html_e( 'Date', 'walsall' ); ?></span><?php echo get_the_date(  ); ?></li>
							<li><span><?php esc_html_e( 'Category', 'walsall' ); ?></span><?php echo implode( ', ', (array)$term_list );?></li>
						</ul>
						<?php if ( $socials = walsall_set( $meta, 'bunch_portfolio_social' ) ) : ?>
							<ul class="social-icon-one">
								<?php foreach( $socials as $key => $social ) :  ?>
									<li><a target="_blank" href="<?php echo esc_url( walsall_set( $social, 'social_link' ) );  ?>"><span class="fa <?php echo wp_kses_post(walsall_set( $social, 'social_icon' ));  ?>"></span></a></li>
								<?php endforeach; ?>
							</ul>
						<?php endif; ?>
					</div>
				</div>
			<?php endwhile; ?>
		</div>
	</div>
</section>

<section class="portfolio-gallery-section">
	<div class="auto-container">
	
		<?php while( have_posts() ): the_post();
				$term_list = wp_get_post_terms( get_the_id(), 'portfolio_category', array( "fields" => "names" ) );
		?>
		<?php if ( $gallery = walsall_set( $meta, 'bunch_portfolio_gallery' ) ) : ?>
			<div class="masonry-items-container row clearfix">
				<?php $count =1; foreach( $gallery as $key => $gall ) : if ( $count == 8 ) { $count = 1; }
					$image_id = walsall_get_attachment_id( walsall_set( $gall, 'gallary_img' ) );
					if ( $count == 3 ) {
						$extra_class = 'col-lg-6 col-md-6 col-sm-12 col-xs-12';
					} elseif ( $count == 6 ) {
						$extra_class = 'col-lg-6 col-md-6 col-sm-12 col-xs-12';
					} else {
						$extra_class = 'col-lg-3 col-md-3 col-sm-6 col-xs-12';
					}
				?>
					<div class="gallery-block style-two masonry-item <?php echo esc_attr( $extra_class ); ?>">
						<div class="inner-box">
							<div class="image">
								<?php
									if ( $count == 3 ) :
										echo wp_get_attachment_image( $image_id, 'walsall_567x234', array( 'class' => 'img-responsive' ) );
									elseif ( $count == 5 ) :
										echo wp_get_attachment_image( $image_id, 'walsall_264x503', array( 'class' => 'img-responsive' ) );
									elseif ( $count == 6 ) :
										echo wp_get_attachment_image( $image_id, 'walsall_566x503', array( 'class' => 'img-responsive' ) );
									else :
										echo wp_get_attachment_image( $image_id, 'walsall_265x234', array( 'class' => 'img-responsive' ) );
									endif;
								?>
								<div class="overlay-box">
									<div class="lower-box">
										<h3><?php the_title(); ?></h3>
										<div class="designation"><?php echo implode( ', ', (array)$term_list );?></div>
									</div>
								</div>
							</div>
						</div>
					</div>
				<?php $count++; endforeach; ?>
			</div>
		<?php endif; ?>
		<?php endwhile; ?>
	</div>
</section>


<?php elseif( $detail_style == 'style_six' ) : ?>

<section class="portfolio-fullwidth-section">
	<div class="clearfix">
	
		<?php while( have_posts() ): the_post();
				$term_list = wp_get_post_terms( get_the_id(), 'portfolio_category', array( "fields" => "names" ) );
		?>
			<!--Images Column-->
			<?php if ( $gallery = walsall_set( $meta, 'bunch_portfolio_gallery' ) ) : ?>
				<div class="images-column pull-left left-image-bar">
					<div class="inner-column">
						<?php foreach( $gallery as $key => $gall ) :  ?>
							<div class="image">
								<a href="<?php echo esc_url( walsall_set( $gall, 'gallary_img' ) );  ?>" data-fancybox="images" data-caption="" ><img src="<?php echo esc_url( walsall_set( $gall, 'gallary_img' ) );  ?>" alt="<?php esc_attr_e('image', 'walsall');?>" /></a>
							</div>
						<?php endforeach; ?>
					</div>
				</div>
			<?php endif; ?>
			<!--Content Column-->
			<div class="content-column pull-right">
				<div class="inner-column">
					<h2><?php the_title(); ?></h2>
					<div class="text"><?php the_content(); ?></div>
					<ul class="info-list">
						<?php if ( $client ) : ?>
							<li><span><?php esc_html_e( 'Client', 'walsall' ); ?></span><?php echo wp_kses_post( $client ); ?></li>
						<?php endif; ?>
						<li><span><?php esc_html_e( 'Date', 'walsall' ); ?></span><?php echo get_the_date(  ); ?></li>
						<li><span><?php esc_html_e( 'Category', 'walsall' ); ?></span><?php echo implode( ', ', (array)$term_list );?></li>
					</ul>
					<?php if ( $socials = walsall_set( $meta, 'bunch_portfolio_social' ) ) : ?>
						<ul class="social-icon-one">
							<?php foreach( $socials as $key => $social ) :  ?>
								<li><a target="_blank" href="<?php echo esc_url( walsall_set( $social, 'social_link' ) );  ?>"><span class="fa <?php echo wp_kses_post(walsall_set( $social, 'social_icon' ));  ?>"></span></a></li>
							<?php endforeach; ?>
						</ul>
					<?php endif; ?>
				</div>
			</div>
		<?php endwhile; ?>
		
	</div>
</section>


<?php elseif( $detail_style == 'style_seven' ) : ?>

<section class="portfolio-fullwidth-section style-two">
	<div class="clearfix">
		<?php while( have_posts() ): the_post();
				$term_list = wp_get_post_terms( get_the_id(), 'portfolio_category', array( "fields" => "names" ) );
		?>
			<!--Images Column-->
			<?php if ( $gallery = walsall_set( $meta, 'bunch_portfolio_gallery' ) ) : ?>
				<div class="images-column pull-right">
					<div class="inner-column">
						<?php foreach( $gallery as $key => $gall ) :  ?>
							<div class="image">
								<a href="<?php echo esc_url( walsall_set( $gall, 'gallary_img' ) );  ?>" data-fancybox="images" data-caption="" ><img src="<?php echo esc_url( walsall_set( $gall, 'gallary_img' ) );  ?>" alt="<?php esc_attr_e('image', 'walsall');?>" /></a>
							</div>
						<?php endforeach; ?>
					</div>
				</div>
			<?php endif; ?>
			<!--Content Column-->
			<div class="content-column pull-left">
				<div class="inner-column">
					<h2><?php the_title(); ?></h2>
					<div class="text"><?php the_content(); ?></div>
					<ul class="info-list">
						<?php if ( $client ) : ?>
							<li><span><?php esc_html_e( 'Client', 'walsall' ); ?></span><?php echo wp_kses_post( $client ); ?></li>
						<?php endif; ?>
						<li><span><?php esc_html_e( 'Date', 'walsall' ); ?></span><?php echo get_the_date(  ); ?></li>
						<li><span><?php esc_html_e( 'Category', 'walsall' ); ?></span><?php echo implode( ', ', (array)$term_list );?></li>
					</ul>
					<?php if ( $socials = walsall_set( $meta, 'bunch_portfolio_social' ) ) : ?>
						<ul class="social-icon-one">
							<?php foreach( $socials as $key => $social ) :  ?>
								<li><a target="_blank" href="<?php echo esc_url( walsall_set( $social, 'social_link' ) );  ?>"><span class="fa <?php echo wp_kses_post(walsall_set( $social, 'social_icon' ));  ?>"></span></a></li>
							<?php endforeach; ?>
						</ul>
					<?php endif; ?>
				</div>
			</div>
		<?php endwhile; ?>
	</div>
</section>


<?php
else :
?>

<section class="portfolio-single-section right-sidebar">
	<div class="auto-container">
		<div class="row clearfix">
			<?php while( have_posts() ): the_post();
					$term_list = wp_get_post_terms( get_the_id(), 'portfolio_category', array( "fields" => "names" ) );
			?>
				<?php if ( $gallery = walsall_set( $meta, 'bunch_portfolio_gallery' ) ) : ?>
					<!--Images Column-->
					<div class="images-column col-md-7 col-sm-7 col-xs-12">
						<div class="inner-column">
							<?php foreach( $gallery as $key => $gall ) :  ?>
								<div class="image">
									<a href="<?php echo esc_url( walsall_set( $gall, 'gallary_img' ) );  ?>" data-fancybox="images" data-caption="" ><img src="<?php echo esc_url( walsall_set( $gall, 'gallary_img' ) );  ?>" alt="<?php esc_attr_e('image', 'walsall');?>" /></a>
								</div>
							<?php endforeach; ?>
						</div>
					</div>
					<!--Content Column-->
				<?php endif; ?>
				<div class="content-column col-md-5 col-sm-5 col-xs-12">
					<h2><?php the_title(); ?></h2>
					<div class="text"><?php the_content(); ?></div>
					<ul class="info-list">
						<?php if ( $client ) : ?>
							<li><span><?php esc_html_e( 'Client', 'walsall' ); ?></span><?php echo wp_kses_post( $client ); ?></li>
						<?php endif; ?>
						<li><span><?php esc_html_e( 'Date', 'walsall' ); ?></span><?php echo get_the_date(  ); ?></li>
						<li><span><?php esc_html_e( 'Category', 'walsall' ); ?></span><?php echo implode( ', ', (array)$term_list );?></li>
					</ul>
					<?php if ( $socials = walsall_set( $meta, 'bunch_portfolio_social' ) ) : ?>
						<ul class="social-icon-one">
							<?php foreach( $socials as $key => $social ) :  ?>
								<li><a target="_blank" href="<?php echo esc_url( walsall_set( $social, 'social_link' ) );  ?>"><span class="fa <?php echo wp_kses_post(walsall_set( $social, 'social_icon' ));  ?>"></span></a></li>
							<?php endforeach; ?>
						</ul>
					<?php endif; ?>
				</div>
			<?php endwhile; ?>
		</div>
	</div>
</section>

<?php endif; ?>

<div class="new-posts">
	<div class="clearfix">
		<div class="pull-left">
			<?php previous_post_link( '%link', '<span class="fa fa-long-arrow-left"></span>  Prev' ); ?>
		</div>
		<a href="#" class="grid-btn"><span class="fa fa fa-th"></span></a>
		<div class="pull-right">
			<?php next_post_link( '%link', 'Next  <span class="fa fa-long-arrow-right"></span>' ); ?>
		</div>
	</div>
</div>

<?php get_footer(); ?>